Skip to main content
POST
Link a Study panel

Authorizations

Authorization
string
header
required

Use API-Key YOUR_API_KEY. The key selects the Production or Development environment.

Path Parameters

studyId
string<uuid>
required

Body

application/json

The RepData Survey to link the Study to.

provider
enum<string>
required
Available options:
REPDATA
externalId
string
required

The RepData Survey Number.

Required string length: 1 - 255

Response

Created

A panel linking a SURVEY Study to a Survey on the customer's RepData account.

id
string<uuid>
required
provider
enum<string>
required
Available options:
REPDATA
externalId
string
required
status
enum<string>
required

LIVE admits respondents. PAUSED and COMPLETED send entering respondents back to the provider.

Available options:
LIVE,
PAUSED,
COMPLETED
entryUrl
string
required

Set as the entry link of the RepData Survey. It ends with a raw [%RDUD%].

createdAt
string<date-time>
required